

* BASE WAGE2

clear all 
use C:\Users\XXXX\Desktop\WAGE2.dta

/*Primero conocemos la data, siempre es recomendable hacer un SUM*/

summarize wage hours IQ KWW educ exper tenure age

sum wage hours IQ KWW educ exper tenure age

tabstat wage hours, statistics(n mean median sd kurtosis skewness min max p25 p75 )


/*Luego analizamos potenciales correlaciones entre las variables*/

pwcorr wage hours IQ, sig
correlate wage hours IQ
pwcorr wage hours IQ, star (0.01) sig
pwcorr wage hours IQ, star (0.05) sig
pwcorr wage hours IQ, star (0.1) sig


/*Lo podemos observar graficamente*/

twoway (scatter wage hours sort) (scatter wage IQ, sort)

*(2) Generamos regresiones lineales simples Lin-Lin, Log-Lin y Lin-Log para estimar efecto de la Eduacion sobre el Salario 

/*Modelo Lin-Lin*/

reg wage educ				
est store OLS1				/*Comando que guarda los resultados de la regresion como OLS1*/
predict lwage1				/* Calculamos el Yestimado de la regresion*/
predict residuo, residuals  /* Calculamos los residuos mu de la regresion*/


* Genere regresión lineal muliple con (i)proxy de habilidad innata y  horas de trabajo (ii) proxy de habilidad innata,  horas de trabajo y experiencia.

reg lwage IQ hours 
est store OLS4

reg lwage IQ hours exper
est store OLS5


esttab OLS1 OLS2 OLS3 OLS4 OLS5, varwidth(25) t scalars(N r2 F p) title ("Comparacion Modelos") 
esttab OLS1 OLS2 OLS3 OLS4, label b(%10.5f) se(%5,4f) scalars(N r2 F) star(* 0.1 ** 0.05 *** 0.01) title("Comparacion Modelos") 

* Cual es el salario de una persona con 10 años de experiencia y que trabaja 42 por semana

reg wage educ hours
lincom _cons+10*educ+42*hours


* Genere regresion multiple para estimar efecto de educ sobre lwage controlando por IQ, exper, married, 

reg lwage educ IQ exper married 

test educ IQ exper

* Si hacemos una regresion lineal con una variable nominal sin traspasarla a dummy tendremos problemas en la interpretacion. 
* Hagamos una regresion con variables dicotomicas

reg wage married black

* Generaremos una dummy

gen Adulto_Joven=0
replace Adulto_Joven=1 if age<=35
label define Adulto_Joven 1 "Adulto_Joven" 0 "Adulto"
label values Adulto_Joven Adulto_Joven

gen Casado=1
replace Casado=2 if married==1
label define Casado 2 "Estado Civil Casado" 1 "Estado Civil Soltero"
label values Casado Casado
codebook Casado married

* Regresion generando dummy cuando no está creada (notese el mismo resultado para Casado y para married)

reg lwage educ IQ exper Casado
reg lwage educ IQ exper i.Casado
reg lwage educ IQ exper ib(2).Casado

* Regresion generando INTERACCIONES

reg lwage IQ exper i.Casado educ						/*(1)*/
reg lwage IQ exper i.Casado educ i.Casado#c.educ		/*(2) Añade interaccion entre una variable nominal y una continua*/
reg lwage IQ exper i.Casado##c.educ						/*(3) Forma resumida anterior*/




